Cherche un hébergeur atteint de versionnite ;)

Séb.

Nouveau WRInaute
Hello !
Aujourd'hui de nombreux hébergeurs proposent encore PHP4 et MySQL4 alors que ces deux technos ont connu des avancées majeures avec leur version 5 depuis quelques temps maintenant.
Je cherche donc un hébergeur dont la philosophie serait de mettre à jour régulièrement ses configs et ainsi de donner accès à ses clients aux dernières avancées.
Exemple, aujourd'hui je bénéficierais de PHP 5.1.x et tout ce qu'il peut apporter de bon (PDO, SDO, etc.), de même pour MySQL.
Connaissez-vous des hébergeurs répondants à ces critères ?
Merci :)
 

Zecat

WRInaute accro
Peut-être celui de yagoort : -http://blog.yagoort.org/ :wink: (Php5 c'est sur le reste faut leur demander)
 

dmathieu

WRInaute accro
ovh et sivit proposent PHP 5.
En plus de php 4, mais ils le proposent quand même.

OVH le propose sur les fichiers dont l'extension est .php5
Et sivit le propose sur un autre port que le 21 (il est possible d'appeller le port automatiquement avec un .htaccess)

@Zecat Pour yagoort, étant donné qu'il semble qu'il vienne de passer sur un dedié, il a la possibilité de prendre la version de php qu'il désire, sans être dépendant de son hébergeur.
Mais tu doit être au courant vu que c'est toi qui a posté la news.
 

Zecat

WRInaute accro
KaZhaR a dit:
@Zecat Pour yagoort, étant donné qu'il semble qu'il vienne de passer sur un dedié, il a la possibilité de prendre la version de php qu'il désire, sans être dépendant de son hébergeur.
Mais tu doit être au courant vu que c'est toi qui a posté la news.
oups ... exact. j'ai pas tilté. :oops: j'ai posté la news mais la technique c'est zarlboro ... moi mes compétences se limitent a include et rand :lol:
 

Séb.

Nouveau WRInaute
KaZhaR a dit:
OVH le propose sur les fichiers dont l'extension est .php5
Ah et comment je fais au passage à PHP6 ? ;)

Et sivit le propose sur un autre port que le 21 (il est possible d'appeller le port automatiquement avec un .htaccess)
Euh que le 80 tu veux dire ? C'est un peu bidouille ça...

Merci pour vos réponses, mais je cherche un hébergeur vraiment orienté techies.
D'autres propositions ?



PS :
il a la possibilité de prendre la version de php qu'il désire, sans être dépendant de son hébergeur.
Oui je comprenais pas trop au vu du site sd-france.com
 

phpmikedu83

WRInaute passionné
Les hebergeurs ne peuvent pas systématiquement changer la version de ces language (php par exemple) car les scripts ne sont pas forcément compatibles avec la nouvelle version et les clients ne seraient pas contents, la hotline saturé, etc...
 

Séb.

Nouveau WRInaute
phpmikedu83 a dit:
Les hebergeurs ne peuvent pas systématiquement changer la version de ces language (php par exemple) car les scripts ne sont pas forcément compatibles avec la nouvelle version et les clients ne seraient pas contents, la hotline saturé, etc...
Oui c'est vrai que les scripts mal écrits peuvent ne pas suivre, c'est pour cela que je cherche un hébergeur résolument orienté techies.
Aucun hébergeur n'aurait tenté le pari ?
 

Séb.

Nouveau WRInaute
phpmikedu83 a dit:
Séb. a dit:
les scripts mal écrits peuvent ne pas suivre
les scripts orientés PHP 4 tout simplement...
En E_STRICT tu veux dire ? Ou autre chose ? Perso je n'ai eu aucun problème impromptu de migration PHP4 => PHP5.
Bref, le débat n'est pas là, je ne cherche pas forcément un hébergeur grand public, simplement un hébergeur soucieux de proposer les dernières majs coute que coute.
 

ManiaGames

WRInaute occasionnel
phpmikedu83 a dit:
Les hebergeurs ne peuvent pas systématiquement changer la version de ces language (php par exemple) car les scripts ne sont pas forcément compatibles avec la nouvelle version et les clients ne seraient pas contents, la hotline saturé, etc...

+1
Beaucoup de scripts sont développé pour php4, et un hébergeur forçant l'utilisation de php5 bloquerait ces utilisateurs (surtout que tout le monde ne sait pas forcément créer ses propres scripts, et prennent donc des scripts fait pour php4).

Quand je propose un script, je le propose pour php4 car c'est la version la plus répandu, et que les hébergeurs le plus souvent propose cette version par défaut (en même temps, on peut avoir une logique inverse).
 

thierry8

WRInaute accro
Et les hébergeurs ne sont pas fou non plus...
Ils attendent des versions stables de PHP 5 et pour le 6 tu à encore un peu de temps devant toi ! ;)
 

amazigh25

WRInaute impliqué
Zecat a dit:
moi mes compétences se limitent a include et rand :lol:

Je croyais être le seul à wrinaute dont les compétences se limitent a include et rand :D , je plaisante je sais aussi utiliser Echo :lol:

je sors :arrow:
 

Séb.

Nouveau WRInaute
Beaucoup de scripts sont développé pour php4
Peut-on parler de développement dans ce cas ?
À l'heure actuelle on développe soit en PHP (compatible PHP4-5), soit en PHP5 (avec tout l'OO qui en suit). Se limiter au PHP4 me semble très réducteur.

thierry8 a dit:
Et les hébergeurs ne sont pas fou non plus...
Ils attendent des versions stables de PHP 5 et pour le 6 tu à encore un peu de temps devant toi ! ;)
M'enfin, ça fait quelques temps que PHP5 est recommandé à la prod (de même que MySQL5), même Free propose PHP5 sur ses pages persos, et vu les bourrins qui trainent sur leurs serveurs je pense que c'est un gage de qualité qt à la montée en charge de PHP5 (je rappelle que PHP5 est considéré comme plus performant que PHP4).
Maintenant si les hébergeurs sont frileux à cause de scripts mal écrits, soit. Je cherche un hébergeur qui ne le serait pas. N'en existe-t-il vraiment aucun ? Devrais-je attendre encore 2 ans avant de bénéficier de SimpleXML, SDO, PDO, l'OO & cie ; des vues, des triggers, des procédures stockées, des transactions de MySQL5 ?

PS : Tant qu'à faire je préfèrerais ne pas avoir à payer un dédié...
 

maddanny

WRInaute discret
Tu ne peux pas tout avoir. Soit tu prends une offre du marché avec ses limites soit tu mets le prix pour avoir ce que tu veux ;)

Si c'est juste pour te la jouer g33k à la mode, rien ne t'empeche de prendre un serveur virtuel et y installer ce que tu veux ;)
Je te conseille Sivit (http://www.sivit.fr/fr/offres-vds.php), leurs offres sont pas mal :)

MADdanny
 

dmathieu

WRInaute accro
il y a une limite à tout maddanny.
travailler avec php 5 n'est pas du tout se la jouer g33k à la mode.
php 5 est effectivement beaucoup plus performant, et propose beaucoup plus de solutions que php 4.

Cependant, Séb. si tu lit un peut l'actualité (nexen par exemple), tu doit savoir que php 5 n'est qu'une version de transition, et que php 6 devrait être plus utilisé.

Après, peut etre que dans les hébergeurs étrangers tu peut trouver quelque chose ...
 

thierry8

WRInaute accro
Séb. a dit:
Beaucoup de scripts sont développé pour php4
Peut-on parler de développement dans ce cas ?
À l'heure actuelle on développe soit en PHP (compatible PHP4-5), soit en PHP5 (avec tout l'OO qui en suit). Se limiter au PHP4 me semble très réducteur.
euh...il ne faut pas éxagérer non plus...
Avec php 4 tu peux également faire de la POO.
Certe ça ne respect pas certaine sémantique, mais il y a de quoi faire.
Et je considère que si c'est pour développer un simple site, c'est largement suffisant.

Après si tu veux faire un logiciel, C++ ou autre sera bien plus adapté.
 

Szarah

WRInaute accro
Allez, Séb., ne nous fais pas languir.

Il est temps que tu nous dises le nom de cet hébergeur qui fait dans l'évolutif de pointe :)
 

Robinson

WRInaute passionné
Mdr...

Voilà un gars qui critique les développeurs qui ne développent pas en php5...
php5 est opérationnel depuis combien de temps ? combien de mois ?

Et à ton avis, depuis combien d'années, beaucoup de monde développe en php ?

Quand tu as plusieurs gros sites développés en php4 (et qui tournent très bien), tu crois que le passage en php5 se fait en 2 minutes ?

Ah ouais ça serait génial un hébergeur qui fait évoluer les versions dès qu'elles sont disponibles et qui vous laisse ensuite réparer toutes les erreurs et incompatibilités avec vos sites !
Si tu trouves, ben garde le pour toi stp ;)
 

phpmikedu83

WRInaute passionné
Robinson a dit:
Mdr...

Voilà un gars qui critique les développeurs qui ne développent pas en php5...
php5 est opérationnel depuis combien de temps ? combien de mois ?

Et à ton avis, depuis combien d'années, beaucoup de monde développe en php ?

Quand tu as plusieurs gros sites développés en php4 (et qui tournent très bien), tu crois que le passage en php5 se fait en 2 minutes ?

Ah ouais ça serait génial un hébergeur qui fait évoluer les versions dès qu'elles sont disponibles et qui vous laisse ensuite réparer toutes les erreurs et incompatibilités avec vos sites !
Si tu trouves, ben garde le pour toi stp ;)

+1, merci, c'est qu'on passerait presque pour des mongols!!!
 

Séb.

Nouveau WRInaute
Il y a méprise sur le propos. Je ne critique pas ceux qui scriptent du PHP4 à leur sauce ou à celle d'EasyPHP, ils font ce qu'ils veulent après tout.
Je cherche simplement un hébergeur qui aurait adopté la philosophie décrite plus haut afin de bénéficier immédiatement des dernières avancées.



robinson a dit:
Ah ouais ça serait génial un hébergeur qui fait évoluer les versions dès qu'elles sont disponibles et qui vous laisse ensuite réparer toutes les erreurs et incompatibilités avec vos sites !
De quel genre d'incompatibilité parles-tu ?
 

gomoz

WRInaute discret
Ce sujet n'avance pas : la réponse à été donné il me semble, personne ne connait. La seule solution pour toi serait le dédié ou le virtuel.

Ensuite le pourquoi du comment : un serveur serrieux ne doit pas changer de version tous les trois jours pour ses applications (bugs, failles de sécurités, réstriction de la tolerance de php au "mauvais codage" au fils des versions, etc...).
 

Bourriquet

WRInaute impliqué
gomoz a dit:
Ce sujet n'avance pas : la réponse à été donné il me semble, personne ne connait. La seule solution pour toi serait le dédié ou le virtuel.

Ensuite le pourquoi du comment : un serveur serrieux ne doit pas changer de version tous les trois jours pour ses applications (bugs, failles de sécurités, réstriction de la tolerance de php au "mauvais codage" au fils des versions, etc...).

+1 : on est jamais mieux servi que par soit même !
En plus, hormis les corrections de bugs, je pense qu'on a à peut près tout exploité en PHP... De la 4 à la 5 je n'ai pas vu énormément de nouvelles fonctionnalité, c'est surtout de la modif de config, des correctifs de bugs...
 

Discussions similaires

Haut